package com.ruoyi;

import org.noear.solon.Solon;
//import org.noear.solon.admin.client.annotation.EnableAdminClient;
//import org.noear.solon.admin.server.annotation.EnableAdminServer;
import org.noear.solon.annotation.SolonMain;
import org.noear.solon.scheduling.annotation.EnableAsync;
import org.noear.solon.scheduling.annotation.EnableScheduling;

/**
 * 启动程序
 * @author ruoyi
 */
//@EnableAdminClient
//@EnableAdminServer
@EnableAsync
@EnableScheduling
@SolonMain
public class RuoYiApplication {

    public static void main(String[] args) {
        long start = System.currentTimeMillis();
        Solon.start(RuoYiApplication.class, args);
        long times = System.currentTimeMillis() - start;
        System.out.println("(♥◠‿◠)ﾉﾞ  若依启动成功，耗时:【" + times + "ms】  ლ(´ڡ`ლ)ﾞ");
    }

}
